/*
	DMXconverter - A channel converter widget for DMX512.
	Copyright © 2004-2007,2015 Harry Whitfield

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation; either version 2 of the License, or (at your
	option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License along
	with this program; if not, write to the Free Software Foundation, Inc.,
	51 Franklin St, Fifth Floor, Boston, MA	 02110-1301	 USA
	
	DMXconverter - browser version 1.0
	16 May, 2015
	Copyright © 2004-2007,2015 Harry Whitfield
	mailto:g6auc@arrl.net
*/
	
/*global newImage, newText */

/*properties
    close, onmousedown, onmouseout, onmouseover, onmouseup, opacity, open, src,
    style, title
*/

// window 300 x 480

// newImage(hOffset, vOffset, width, height, src, zOrder, opacity);
// newText(hOffset, vOffset, width, height, value, zOrder, style);

var bkgd = newImage(0, 0, 300, 480, "Resources/bkgd.png", 0, 1.0);
// bkgd.colorize="#ADADAD";

var sliderBkgd = newImage(22, 374, 256, 80, "Resources/sliderBg.png", 10, 1.0);
// sliderBkgd.colorize="#EAEAEA";

var helpButton = newImage(232, 15, 30, 22, "Resources/help.png", 10, 1.0);
helpButton.title  = "Displays information about this program.";

var redButton  = newImage(272, 18, 14, 14, "Resources/red.png",  10, 1.0);
redButton.title = "Closes the window.";

function normalButtons() { redButton.src = "Resources/red.png"; }
function activeButtons() { redButton.src = "Resources/redCross.png"; }

var redButtonWithin = false;

redButton.onmouseup = function () {
	if (redButtonWithin) {
		normalButtons();
		window.close();
	}
};

redButton.onmousedown = function () {
	redButtonWithin = true;
	activeButtons();
};

redButton.onmouseover = function () {
	redButtonWithin = true;
	activeButtons();
};

redButton.onmouseout = function () {
	redButtonWithin = false;
	normalButtons();
};

var style = "font-family:Helvetica;color:black;font-weight:normal;background-color:transparent;border:none;font-size:28px;";
var title = newText(22, 12, 80, 36, "DMX Converter", 10, style);

style = "font-family:Helvetica;color:black;font-weight:bold;background-color:transparent;border:none;font-size:13px;";
var dmxBinary = newText(108, 353, 70, 18, "DMX BINARY", 10, style);

//////////////////////////////////////////////////////////////////////////////////////////

helpButton.onmousedown = function () { this.style.opacity = "0.5"; };
helpButton.onmouseup   = function () { this.style.opacity = "1.0"; window.open("Help.html"); };

//////////////////////////////////////////////////////////////////////////////////////////
